//
//  PLSAppDelegate.h
//  Pulse
//
//  Created by Matt Attaway on 1/14/14.
//  Copyright (c) 2014 Zen of the Monkey. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PLSOverseer.h"

@interface PLSAppDelegate : NSObject <NSApplicationDelegate, PLSOverseerDelegate>
    
@property (nonatomic,strong) NSMutableArray* overseers;

-(IBAction)showConnections:(id)sender;
-(IBAction)showLogin:(id)sender overseer:(PLSOverseer*)os;
-(IBAction)findConnectionNeedingLogin:(id)sender;

// methods required to be a PLSOverseer delegate
-(void)needPassword:(PLSOverseer*)os;
-(void)needPasswordNow:(PLSOverseer*)os;
-(void)connectionDown:(PLSOverseer*)os;
-(void)connectionUp:(PLSOverseer *)os;

@end
